gstreamermm: Gst::DiscovererContainerInfo Class Reference

gstreamermm 0.10.10.2

- Main Page
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Related Functions
Gst::DiscovererContainerInfo Class Reference

DiscovererContainerInfo - Gst::DiscovererStreamInfo specific to container streams. More...

Inheritance diagram for Gst::DiscovererContainerInfo:
[legend]
Collaboration diagram for Gst::DiscovererContainerInfo:
[legend]

List of all members.

## Public Member Functions
virtual | ~DiscovererContainerInfo ()
GstDiscovererContainerInfo* | gobj ()
| Provides access to the underlying C GstMiniObject.
const GstDiscovererContainerInfo* | gobj () const
| Provides access to the underlying C GstMiniObject.
GstDiscovererContainerInfo* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
std::vector< Glib::RefPtr < DiscovererStreamInfo > > | get_streams ()
std::vector< Glib::RefPtr < const DiscovererStreamInfo > > | get_streams () const
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr < Gst::DiscovererContainerInfo > | wrap (GstDiscovererContainerInfo* object, bool take_copy=false)

## Detailed Description

DiscovererContainerInfo - Gst::DiscovererStreamInfo specific to container streams.

## Constructor & Destructor Documentation

virtual Gst::DiscovererContainerInfo::~DiscovererContainerInfo | ( |  | ) | `[virtual]`

## Member Function Documentation

std::vector< Glib::RefPtr<DiscovererStreamInfo> > Gst::DiscovererContainerInfo::get_streams | ( |  | ) |

Returns:
  The list of Gst::DiscovererStreamInfo this container stream offers. Free with stream_info_list_free() after usage.

std::vector< Glib::RefPtr<const DiscovererStreamInfo> > Gst::DiscovererContainerInfo::get_streams | ( |  | ) | const

Returns:
  The list of Gst::DiscovererStreamInfo this container stream offers. Free with stream_info_list_free() after usage.

GstDiscovererContainerInfo* Gst::DiscovererContainerInfo::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GstMiniObject.

Reimplemented from Gst::DiscovererStreamInfo.

const GstDiscovererContainerInfo* Gst::DiscovererContainerInfo::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GstMiniObject.

Reimplemented from Gst::DiscovererStreamInfo.

GstDiscovererContainerInfo* Gst::DiscovererContainerInfo::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Gst::DiscovererStreamInfo.

## Friends And Related Function Documentation

Glib::RefPtr< Gst::DiscovererContainerInfo > wrap | ( | GstDiscovererContainerInfo * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

Parameters:

  object | The C instance
  take_copy | false if the result should take ownership of the C instance. true if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gstreamermm/discovererinfo.h